
From: Bjorn Helgaas <bjorn.helgaas@hp.com>

This consolidates the PCI MSI configuration into drivers/pci/Kconfig,
removing it from the i386, x86_64, and ia64 Kconfig.

It also changes the default for ia64 from "y" to "n".  The default on i386
is "n" already, and I'm not sure why ia64 should be different.


---

 25-akpm/arch/i386/Kconfig   |   19 -------------------
 25-akpm/arch/ia64/Kconfig   |   10 ----------
 25-akpm/arch/x86_64/Kconfig |   20 --------------------
 25-akpm/drivers/pci/Kconfig |   19 +++++++++++++++++++
 4 files changed, 19 insertions(+), 49 deletions(-)

diff -puN arch/i386/Kconfig~pci-msi-kconfig-consolidation arch/i386/Kconfig
--- 25/arch/i386/Kconfig~pci-msi-kconfig-consolidation	2004-04-14 18:52:48.432830552 -0700
+++ 25-akpm/arch/i386/Kconfig	2004-04-14 18:52:48.440829336 -0700
@@ -1095,25 +1095,6 @@ config PCI_MMCONFIG
 	select ACPI_BOOT
 	default y
 
-config PCI_USE_VECTOR
-	bool "Vector-based interrupt indexing (MSI)"
-	depends on X86_LOCAL_APIC && X86_IO_APIC
-	default n
-	help
-	   This replaces the current existing IRQ-based index interrupt scheme
-	   with the vector-base index scheme. The advantages of vector base
-	   over IRQ base are listed below:
-	   1) Support MSI implementation.
-	   2) Support future IOxAPIC hotplug
-
-	   Note that this allows the device drivers to enable MSI, Message
-	   Signaled Interrupt, on all MSI capable device functions detected.
-	   Message Signal Interrupt enables an MSI-capable hardware device to
-	   send an inbound Memory Write on its PCI bus instead of asserting
-	   IRQ signal on device IRQ pin.
-
-	   If you don't know what to do here, say N.
-
 source "drivers/pci/Kconfig"
 
 config ISA
diff -puN arch/ia64/Kconfig~pci-msi-kconfig-consolidation arch/ia64/Kconfig
--- 25/arch/ia64/Kconfig~pci-msi-kconfig-consolidation	2004-04-14 18:52:48.433830400 -0700
+++ 25-akpm/arch/ia64/Kconfig	2004-04-14 18:52:48.441829184 -0700
@@ -361,16 +361,6 @@ config PCI
 	  information about which PCI hardware does work under Linux and which
 	  doesn't.
 
-config PCI_USE_VECTOR
-	bool
-	default y if IA64
-	help
-	   This enables MSI, Message Signaled Interrupt, on specific
-	   MSI capable device functions detected upon requests from the
-	   device drivers. Message Signal Interrupt enables an MSI-capable
-	   hardware device to send an inbound Memory Write on its PCI bus
-	   instead of asserting IRQ signal on device IRQ pin.
-
 config PCI_DOMAINS
 	bool
 	default PCI
diff -puN arch/x86_64/Kconfig~pci-msi-kconfig-consolidation arch/x86_64/Kconfig
--- 25/arch/x86_64/Kconfig~pci-msi-kconfig-consolidation	2004-04-14 18:52:48.435830096 -0700
+++ 25-akpm/arch/x86_64/Kconfig	2004-04-14 18:52:48.442829032 -0700
@@ -338,26 +338,6 @@ config PCI_MMCONFIG 
 	depends on PCI
 	select ACPI_BOOT
 
-# the drivers/pci/msi.c code needs to be fixed first before enabling
-config PCI_USE_VECTOR
-	bool "Vector-based interrupt indexing"
-	depends on X86_LOCAL_APIC && NOTWORKING
-	default n
-	help
-	   This replaces the current existing IRQ-based index interrupt scheme
-	   with the vector-base index scheme. The advantages of vector base
-	   over IRQ base are listed below:
-	   1) Support MSI implementation.
-	   2) Support future IOxAPIC hotplug
-
-	   Note that this enables MSI, Message Signaled Interrupt, on all
-	   MSI capable device functions detected if users also install the
-	   MSI patch. Message Signal Interrupt enables an MSI-capable
-	   hardware device to send an inbound Memory Write on its PCI bus
-	   instead of asserting IRQ signal on device IRQ pin.
-
-	   If you don't know what to do here, say N.
-
 source "drivers/pci/Kconfig"
 
 source "drivers/pcmcia/Kconfig"
diff -puN drivers/pci/Kconfig~pci-msi-kconfig-consolidation drivers/pci/Kconfig
--- 25/drivers/pci/Kconfig~pci-msi-kconfig-consolidation	2004-04-14 18:52:48.437829792 -0700
+++ 25-akpm/drivers/pci/Kconfig	2004-04-14 18:52:48.442829032 -0700
@@ -1,6 +1,25 @@
 #
 # PCI configuration
 #
+config PCI_USE_VECTOR
+	bool "Vector-based interrupt indexing (MSI)"
+	depends on (X86_LOCAL_APIC && X86_IO_APIC && !X86_64) || IA64
+	default n
+	help
+	   This replaces the current existing IRQ-based index interrupt scheme
+	   with the vector-base index scheme. The advantages of vector base
+	   over IRQ base are listed below:
+	   1) Support MSI implementation.
+	   2) Support future IOxAPIC hotplug
+
+	   Note that this allows the device drivers to enable MSI, Message
+	   Signaled Interrupt, on all MSI capable device functions detected.
+	   Message Signal Interrupt enables an MSI-capable hardware device to
+	   send an inbound Memory Write on its PCI bus instead of asserting
+	   IRQ signal on device IRQ pin.
+
+	   If you don't know what to do here, say N.
+
 config PCI_LEGACY_PROC
 	bool "Legacy /proc/pci interface"
 	depends on PCI

_
